summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mail-filter/dspam/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mail-filter/dspam/files')
-rw-r--r--mail-filter/dspam/files/dspam.confd7
-rw-r--r--mail-filter/dspam/files/dspam.cron-r45
-rw-r--r--mail-filter/dspam/files/dspam.initd45
-rw-r--r--mail-filter/dspam/files/dspam.logrotate10
4 files changed, 67 insertions, 0 deletions
diff --git a/mail-filter/dspam/files/dspam.confd b/mail-filter/dspam/files/dspam.confd
new file mode 100644
index 000000000000..75e0d4bda7d3
--- /dev/null
+++ b/mail-filter/dspam/files/dspam.confd
@@ -0,0 +1,7 @@
+# Change this to the user:group you want to run the dspam daemon as.
+# If you need dspam to switch uids, this is root:root.
+# If you use virtual users and deliver via LMTP, this can be nonprivileged such as dspam:dspam.
+DAEMON_USER_GROUP="root:root"
+
+# Pid file
+PID_FILE="/var/run/dspam/dspam.pid"
diff --git a/mail-filter/dspam/files/dspam.cron-r4 b/mail-filter/dspam/files/dspam.cron-r4
new file mode 100644
index 000000000000..edf97dce541a
--- /dev/null
+++ b/mail-filter/dspam/files/dspam.cron-r4
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+# See dspam_maintenance --help for a list additional parameters
+
+/usr/bin/dspam_maintenance --verbose --purgescriptdir=/usr/share/dspam 1> /dev/null
diff --git a/mail-filter/dspam/files/dspam.initd b/mail-filter/dspam/files/dspam.initd
new file mode 100644
index 000000000000..4e8acf60ec80
--- /dev/null
+++ b/mail-filter/dspam/files/dspam.initd
@@ -0,0 +1,45 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+extra_started_commands="reload"
+PIDFILE=${PID_FILE:-/var/run/dspam/dspam.pid}
+
+depend() {
+ use logger
+ before mta
+ after postgresql mysql ldap
+}
+
+checkconfig() {
+ local PIDDIR
+ PIDDIR=${PIDFILE%/*}
+ if [ ! -d "${PIDDIR:-/var/run/dspam}" ]; then
+ checkpath -q -d -o dspam:dspam -m 0755 "${PIDDIR}" || return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting dspam"
+ start-stop-daemon --start --quiet \
+ --user ${DAEMON_USER_GROUP} \
+ --pidfile ${PIDFILE} \
+ --exec /usr/bin/dspam -- --daemon
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dspam"
+ start-stop-daemon --stop \
+ --pidfile ${PIDFILE} \
+ --exec /usr/bin/dspam
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading dspam"
+ start-stop-daemon --signal SIGHUP /usr/bin/dspam
+ eend $?
+}
diff --git a/mail-filter/dspam/files/dspam.logrotate b/mail-filter/dspam/files/dspam.logrotate
new file mode 100644
index 000000000000..f5e13067cfc7
--- /dev/null
+++ b/mail-filter/dspam/files/dspam.logrotate
@@ -0,0 +1,10 @@
+/var/log/dspam/bnr.log
+/var/log/dspam/dspam.debug
+/var/log/dspam/dspam.log
+/var/log/dspam/dspam.messages
+/var/log/dspam/sql.errors {
+ weekly
+ compress
+ missingok
+ copytruncate
+}